<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Path.h.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Path.h</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Path.h</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line">#ifndef Path_h_</span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line">#define Path_h_</span>
<a id="line3"></a><span class="lineno"> 3</span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line"><span class="comment">//. A Vertex is a 2D point.</span></span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line"><span class="keyword">struct</span> <a href="../Scopes/Vertex.html" title="struct Vertex">Vertex</a></span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line">{</span>
<a id="line7"></a><span class="lineno"> 7</span><span class="line">  <a href="../Scopes/Vertex.html#Vertex_ldouble_cdouble_r" title="member function Vertex::Vertex(double,double)">Vertex</a>(<span class="keyword">double</span> xx, <span class="keyword">double</span> yy): x(xx), y(yy) {}</span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line">  <span class="keyword">double</span> <a href="../Scopes/Vertex.html#x" title="data member Vertex::x">x</a>; <span class="comment">//.&lt; the x coordinate</span></span>
<a id="line9"></a><span class="lineno"> 9</span><span class="line">  <span class="keyword">double</span> <a href="../Scopes/Vertex.html#y" title="data member Vertex::y">y</a>; <span class="comment">//.&lt; the y coordinate</span></span>
<a id="line10"></a><span class="lineno">10</span><span class="line">};</span>
<a id="line11"></a><span class="lineno">11</span>
<a id="line12"></a><span class="lineno">12</span><span class="line"><span class="comment">//. Path is the basic abstraction</span></span>
<a id="line13"></a><span class="lineno">13</span><span class="line"><span class="comment">//. used for drawing (curved) paths.</span></span>
<a id="line14"></a><span class="lineno">14</span><span class="line"><span class="keyword">class</span> <a href="../Scopes/Path.html" title="class Path">Path</a></span>
<a id="line15"></a><span class="lineno">15</span><span class="line">{</span>
<a id="line16"></a><span class="lineno">16</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line17"></a><span class="lineno">17</span><span class="line">  virtual <a href="../Scopes/Path.html#_tPath_l_r" title="member function Path::~Path()">~Path</a>() {}</span>
<a id="line18"></a><span class="lineno">18</span><span class="line">  <span class="comment">//. Draw this path.</span></span>
<a id="line19"></a><span class="lineno">19</span><span class="line">  virtual <span class="keyword">void</span> <a href="../Scopes/Path.html#draw_l_r" title="member function Path::draw()">draw</a>() = 0;</span>
<a id="line20"></a><span class="lineno">20</span><span class="line">  <span class="comment">// temporarily commented out...</span></span>
<a id="line21"></a><span class="lineno">21</span><span class="line"><span class="comment">  // bool intersects(const Path &amp;);</span></span>
<a id="line22"></a><span class="lineno">22</span><span class="line"><span class="keyword">private</span>:</span>
<a id="line23"></a><span class="lineno">23</span><span class="line">};</span>
<a id="line24"></a><span class="lineno">24</span>
<a id="line25"></a><span class="lineno">25</span><span class="line">#endif</span>
</pre>
<div class="logo">Generated on Fri Apr 17 08:48:13 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
